Subject: Re: [Bitcoin-development] Bitcoin core 0.11 planning

From: Peter Todd <[email-masked]>
Date: Tue, 28 Apr 2015 10:49:41 +0000

I'll point out that at this rate the soonest we'll see CHECKLOCKTIMEVERIFY implemented on Bitcoin will be something like summer 2016, a year and a half after it got adopted on Viacoin. (and a few other alts whose names I forget)

Right now the shortest path to adoption would be to release a v0.12 with just a CLTV soft-fork as soon as the BIP66 softfork triggers. While there's been proposal to change the way the upgrade mechanism triggers to a multiple parallel fork scheme, that is quite complex, stateful, and will need lots of review, probably a few months worth; faster would be to continue with the existing mechanism.

IMO the main reason to accelerate CLTV is scalability. The only viable scalability improvements possible in the short/medium term that don't entirely rely on trusting third parties are payment channel based. While we have a working payment channel scheme - Jeremy Spilman's refund tx based system - it is fairly complex, needs good and immediate backups, and is susceptible to tx malleability. CLTV fixes those issues robustly. Of course, payment channel schemes can start off with Spilman's scheme first and go to CLTV later, but that is a lot of extra code to be written and later depreciated - I'm sure many authors are dubious about going down that path.

Thoughts?

On 28 April 2015 03:44:16 GMT-04:00, "Wladimir J. van der Laan" <[email-masked]> wrote:
>Hello all,
>
>The release window for 0.11 is nearing, I'd propose the following
>schedule:
>
>2015-05-01  Soft translation string freeze
>            Open Transifex translations for 0.11
>            Finalize and close translation for 0.9
>
>2015-05-15  Feature freeze, string freeze
>
>2015-06-01  Split off 0.11 branch
>            Tag and release 0.11.0rc1
>            Start merging for 0.12 on master branch
>
>2015-07-01  Release 0.11.0 final (aim)
>
>In contrast to former releases, which were protracted for months, let's
>try to be more strict about the dates. Of course it is always possible
>for last-minute critical issues to interfere with the planning. The
>release will not be held up for features, though, and anything that
>will not make it to 0.11 will be postponed to next release scheduled
>for end of the year.
>
>Wladimir